org.rrd4j.graph

## Class ConstantArea

- java.lang.Object
- - org.rrd4j.graph.PlotElement
  - - org.rrd4j.graph.SourcedPlotElement
    - - org.rrd4j.graph.Area
      - - org.rrd4j.graph.ConstantArea

-     public class ConstantArea
      extends Area

  Represents an area plot element with a constant value in RRD graphs. Extends Area to provide filled areas with fixed values across all data points. Useful for showing reference levels, thresholds, or baseline areas.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.graph.SourcedPlotElement

      `parent, srcName, values`

    - ### Fields inherited from class org.rrd4j.graph.PlotElement

      `color`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantArea(double value, Paint color, SourcedPlotElement parent)` Creates a constant area with the specified value, color, and parent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `assignValues(DataProcessor dproc)` Assigns constant values to all data points, optionally stacking with parent values.

    - ### Methods inherited from class org.rrd4j.graph.SourcedPlotElement

      `getMaxValue, getMinValue, getParentColor, getValues, stackValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantArea

          ConstantArea(double value,
                       Paint color,
                       SourcedPlotElement parent)

      Creates a constant area with the specified value, color, and parent.
      Parameters:
        `value` - the constant value for all data points
        `color` - the fill color for the area
        `parent` - the parent plot element for stacking

  - ### Method Detail

    - #### assignValues

          void assignValues(DataProcessor dproc)

      Assigns constant values to all data points, optionally stacking with parent values.
      Overrides:
        `assignValues` in class `SourcedPlotElement`
      Parameters:
        `dproc` - the data processor for value assignment